v 14.0 Third Party 52
Download for v 14.0 Deploy on Odoo.sh
Required Apps Sales (sale_management)
Invoicing (account)
Lines of code 23
Technical Name bulk_sales_order_confirmation
LicenseLGPL-3
Websitehttp://www.linkedin.com/in/manishkumarbohra
Also available in version v 13.0
You bought this module and need support? Click here!
Required Apps Sales (sale_management)
Invoicing (account)
Lines of code 23
Technical Name bulk_sales_order_confirmation
LicenseLGPL-3
Websitehttp://www.linkedin.com/in/manishkumarbohra
Also available in version v 13.0

This app allows you to confirm multiple sales order in bulk

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
There are no ratings yet!
can you help me
by
Apeado
on 2/5/21, 5:22 AM

Error:

Odoo Server Error


Traceback (most recent call last):

  File "/home/odoo/src/odoo/14.0/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "/home/odoo/src/odoo/14.0/odoo/http.py", line 683, in dispatch

    result = self._call_function(**self.params)

  File "/home/odoo/src/odoo/14.0/odoo/http.py", line 359, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/home/odoo/src/odoo/14.0/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/home/odoo/src/odoo/14.0/odoo/http.py", line 347, in checked_call

    result = self.endpoint(*a, **kw)

  File "/home/odoo/src/odoo/14.0/odoo/http.py", line 912, in __call__

    return self.method(*args, **kw)

  File "/home/odoo/src/odoo/14.0/odoo/http.py", line 531, in response_wrap

    response = f(*args, **kw)

  File "/home/odoo/src/odoo/14.0/addons/web/controllers/main.py", line 1733, in run

    result = action.run()

  File "/home/odoo/src/odoo/14.0/odoo/addons/base/models/ir_actions.py", line 629, in run

    res = runner(run_self, eval_context=eval_context)

  File "/home/odoo/src/odoo/14.0/odoo/addons/base/models/ir_actions.py", line 498, in _run_action_code_multi

    safe_eval(self.code.strip(), eval_context, mode="exec", nocopy=True)  # nocopy allows to return 'action'

  File "/home/odoo/src/odoo/14.0/odoo/tools/safe_eval.py", line 346, in safe_eval

    raise ValueError('%s: "%s" while evaluating\n%r' % (ustr(type(e)), ustr(e), expr))

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/home/odoo/src/odoo/14.0/odoo/http.py", line 639, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/home/odoo/src/odoo/14.0/odoo/http.py", line 315, in _handle_exception

    raise exception.with_traceback(None) from new_cause

ValueError: <class 'AttributeError'>: "'sale.order' object has no attribute 'bulk_sales_order_approve'" while evaluating

'for rec in records:\n            rec.bulk_sales_order_approve()'

Re: can you help me
by
MANISH KUMAR BOHRA
on 2/11/21, 5:35 AM Author

Hello, 

I've checked this one but i never get any kind of error. 

so can you share the steps to re-produce the same error. 


Thanks.